from datetime import datetime, timedelta

from flask import abort, render_template, flash, redirect, url_for, request, make_response, current_app
from flask_login import current_user, login_user, logout_user, login_required
from werkzeug.urls import url_parse

from app import db, markdown
from app.main import bp
from app.models import User, Booking

@bp.before_request
def before_request():
  if current_user.is_authenticated:
    current_user.last_logged_in = datetime.utcnow()
    db.session.commit()

@bp.route('/')
@bp.route('/index')
def index():
  if current_user.is_authenticated:
    if current_user.confirmed is False:
      flash('Your mail address is not confirmed yet. Please confirm it to access full functionality.', 'error')
  return render_template('index.html', title='[nolabs] | Home')

# TODO: WIP routes and pages
@bp.route('/sandbox')
def sandbox():
  if current_user.is_authenticated and current_user.confirmed is False:
    flash('Your mail address is not confirmed yet. Please confirm it to access full functionality.', 'error')
  return render_template('content.html', title='[nolabs] | Sandbox', text=current_app.sandbox_content)
@bp.route('/software')
def software():
  if current_user.is_authenticated and current_user.confirmed is False:
    flash('Your mail address is not confirmed yet. Please confirm it to access full functionality.', 'error')
  return render_template('content.html', title='[nolabs] | Software', text=current_app.software_content)
@bp.route('/stats')
def stats():
  if current_user.is_authenticated and current_user.confirmed is False:
    flash('Your mail address is not confirmed yet. Please confirm it to access full functionality.', 'error')
  return render_template('content.html', title='[nolabs] | Statistics', text=current_app.statistics_content)
@bp.route('/faq')
def faq():
  if current_user.is_authenticated and current_user.confirmed is False:
    flash('Your mail address is not confirmed yet. Please confirm it to access full functionality.', 'error')
  return render_template('content.html', title='[nolabs] | FAQ', text=current_app.faq_content)
